| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
IdasIntegrator.cpp File Reference
`#include "cantera/numerics/IdasIntegrator.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/numerics/sundials_headers.h"`
Include dependency graph for IdasIntegrator.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static int | ida_rhs (realtype t, N_Vector y, N_Vector ydot, N_Vector r, void *f_data)
| Function called by IDA to evaluate the residual, given y and ydot.
static void | ida_err (int error_code, const char *module, const char *function, char *msg, void *eh_data)
| Function called by IDA when an error is encountered instead of writing to stdout.